GD error


#1

Hi!

I’m new in ruby/rails programming and i have a small problem.

I have installed InstantRails 1.0 (for Ruby/Rails/Mysql/Apache envs) and
I’m trying to make a small app working. I’m using auth_generator for
making a login page/users admin pages… and I have a problem when
trying to CHANGE the avatar for the user.

I have the following error:

MissingSourceFile in Account#info

no such file to load – GD

|RAILS_ROOT: ./script/…/config/…|

Application Trace <#> | Framework Trace <#> | Full Trace <#>

|D:/work/InstantRails/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:21:in
require__' D:/work/InstantRails/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:21:inrequire’
D:/work/InstantRails/ruby/lib/ruby/gems/1.8/gems/activesupport-1.2.5/lib/active_support/dependencies.rb:214:in
require' #{RAILS_ROOT}/app/controllers/account_controller.rb:76:ininfo’
#{RAILS_ROOT}/app/controllers/application.rb:14:in process' #{RAILS_ROOT}/app/controllers/application.rb:13:inprocess’
-e:3|

|D:/work/InstantRails/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:21:in
require__' D:/work/InstantRails/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:21:inrequire’
D:/work/InstantRails/ruby/lib/ruby/gems/1.8/gems/activesupport-1.2.5/lib/active_support/dependencies.rb:214:in
require' D:/work/InstantRails/ruby/lib/ruby/gems/1.8/gems/actionpack-1.11.2/lib/action_controller/base.rb:853:inperform_action_without_filters’
D:/work/InstantRails/ruby/lib/ruby/gems/1.8/gems/actionpack-1.11.2/lib/action_controller/filters.rb:332:in
perform_action_without_benchmark' D:/work/InstantRails/ruby/lib/ruby/gems/1.8/gems/actionpack-1.11.2/lib/action_controller/benchmarking.rb:69:inperform_action_without_rescue’
D:/work/InstantRails/ruby/lib/ruby/1.8/benchmark.rb:293:in measure' D:/work/InstantRails/ruby/lib/ruby/gems/1.8/gems/actionpack-1.11.2/lib/action_controller/benchmarking.rb:69:inperform_action_without_rescue’
D:/work/InstantRails/ruby/lib/ruby/gems/1.8/gems/actionpack-1.11.2/lib/action_controller/rescue.rb:82:in
perform_action' D:/work/InstantRails/ruby/lib/ruby/gems/1.8/gems/actionpack-1.11.2/lib/action_controller/base.rb:369:inprocess_without_session_management_support’
D:/work/InstantRails/ruby/lib/ruby/gems/1.8/gems/actionpack-1.11.2/lib/action_controller/session_management.rb:116:in
process' D:/work/InstantRails/ruby/lib/ruby/gems/1.8/gems/rails-1.0.0/lib/dispatcher.rb:38:indispatch’
D:/work/InstantRails/ruby/lib/ruby/gems/1.8/gems/rails-1.0.0/lib/webrick_server.rb:117:in
handle_dispatch' D:/work/InstantRails/ruby/lib/ruby/gems/1.8/gems/rails-1.0.0/lib/webrick_server.rb:83:inservice’
D:/work/InstantRails/ruby/lib/ruby/1.8/webrick/httpserver.rb:104:in
service' D:/work/InstantRails/ruby/lib/ruby/1.8/webrick/httpserver.rb:65:inrun’
D:/work/InstantRails/ruby/lib/ruby/1.8/webrick/server.rb:173:in
start_thread' D:/work/InstantRails/ruby/lib/ruby/1.8/webrick/server.rb:162:instart_thread’
D:/work/InstantRails/ruby/lib/ruby/1.8/webrick/server.rb:95:in start' D:/work/InstantRails/ruby/lib/ruby/1.8/webrick/server.rb:92:instart’
D:/work/InstantRails/ruby/lib/ruby/1.8/webrick/server.rb:23:in start' D:/work/InstantRails/ruby/lib/ruby/1.8/webrick/server.rb:82:instart’
D:/work/InstantRails/ruby/lib/ruby/gems/1.8/gems/rails-1.0.0/lib/webrick_server.rb:69:in
`dispatch’
D:/work/InstantRails/ruby/lib/ruby/gems/1.8/gems/rails-1.0.0/lib/commands/servers/webrick.rb:59

D:/work/InstantRails/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:21:in
require' D:/work/InstantRails/ruby/lib/ruby/gems/1.8/gems/activesupport-1.2.5/lib/active_support/dependencies.rb:214:inrequire’
D:/work/InstantRails/ruby/lib/ruby/gems/1.8/gems/rails-1.0.0/lib/commands/server.rb:28

D:/work/InstantRails/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:21:in
require' D:/work/InstantRails/ruby/lib/ruby/gems/1.8/gems/activesupport-1.2.5/lib/active_support/dependencies.rb:214:inrequire’
./script/server:3|

|D:/work/InstantRails/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:21:in
require__' D:/work/InstantRails/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:21:inrequire’
D:/work/InstantRails/ruby/lib/ruby/gems/1.8/gems/activesupport-1.2.5/lib/active_support/dependencies.rb:214:in
require' #{RAILS_ROOT}/app/controllers/account_controller.rb:76:ininfo’
D:/work/InstantRails/ruby/lib/ruby/gems/1.8/gems/actionpack-1.11.2/lib/action_controller/base.rb:853:in
perform_action_without_filters' D:/work/InstantRails/ruby/lib/ruby/gems/1.8/gems/actionpack-1.11.2/lib/action_controller/filters.rb:332:inperform_action_without_benchmark’
D:/work/InstantRails/ruby/lib/ruby/gems/1.8/gems/actionpack-1.11.2/lib/action_controller/benchmarking.rb:69:in
perform_action_without_rescue' D:/work/InstantRails/ruby/lib/ruby/1.8/benchmark.rb:293:inmeasure’
D:/work/InstantRails/ruby/lib/ruby/gems/1.8/gems/actionpack-1.11.2/lib/action_controller/benchmarking.rb:69:in
perform_action_without_rescue' D:/work/InstantRails/ruby/lib/ruby/gems/1.8/gems/actionpack-1.11.2/lib/action_controller/rescue.rb:82:inperform_action’
D:/work/InstantRails/ruby/lib/ruby/gems/1.8/gems/actionpack-1.11.2/lib/action_controller/base.rb:369:in
process_without_session_management_support' D:/work/InstantRails/ruby/lib/ruby/gems/1.8/gems/actionpack-1.11.2/lib/action_controller/session_management.rb:116:inprocess’
#{RAILS_ROOT}/app/controllers/application.rb:14:in process' #{RAILS_ROOT}/app/controllers/application.rb:13:inprocess’
D:/work/InstantRails/ruby/lib/ruby/gems/1.8/gems/rails-1.0.0/lib/dispatcher.rb:38:in
dispatch' D:/work/InstantRails/ruby/lib/ruby/gems/1.8/gems/rails-1.0.0/lib/webrick_server.rb:117:inhandle_dispatch’
D:/work/InstantRails/ruby/lib/ruby/gems/1.8/gems/rails-1.0.0/lib/webrick_server.rb:83:in
service' D:/work/InstantRails/ruby/lib/ruby/1.8/webrick/httpserver.rb:104:inservice’
D:/work/InstantRails/ruby/lib/ruby/1.8/webrick/httpserver.rb:65:in run' D:/work/InstantRails/ruby/lib/ruby/1.8/webrick/server.rb:173:instart_thread’
D:/work/InstantRails/ruby/lib/ruby/1.8/webrick/server.rb:162:in
start_thread' D:/work/InstantRails/ruby/lib/ruby/1.8/webrick/server.rb:95:instart’
D:/work/InstantRails/ruby/lib/ruby/1.8/webrick/server.rb:92:in start' D:/work/InstantRails/ruby/lib/ruby/1.8/webrick/server.rb:23:instart’
D:/work/InstantRails/ruby/lib/ruby/1.8/webrick/server.rb:82:in start' D:/work/InstantRails/ruby/lib/ruby/gems/1.8/gems/rails-1.0.0/lib/webrick_server.rb:69:indispatch’
D:/work/InstantRails/ruby/lib/ruby/gems/1.8/gems/rails-1.0.0/lib/commands/servers/webrick.rb:59

D:/work/InstantRails/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:21:in
require' D:/work/InstantRails/ruby/lib/ruby/gems/1.8/gems/activesupport-1.2.5/lib/active_support/dependencies.rb:214:inrequire’
D:/work/InstantRails/ruby/lib/ruby/gems/1.8/gems/rails-1.0.0/lib/commands/server.rb:28

D:/work/InstantRails/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:21:in
require' D:/work/InstantRails/ruby/lib/ruby/gems/1.8/gems/activesupport-1.2.5/lib/active_support/dependencies.rb:214:inrequire’
./script/server:3
-e:3|

|This error occured while loading the following files:
GD|

Request

Parameters: {“post”=>{“lastname”=>“aaaaa”, “firstname”=>“bbbbbb”,
“picture”=>#StringIO:0x395e3f8, “password”=>"",
“newemail”=>“removed_email_address@domain.invalid”, “passwordbis”=>""}}

it is related with GD module (I guess)… so, i’ve downloaded ruby-gd
from http://raa.ruby-lang.org/cache/ruby-gd/ruby-GD-0.7.4-1.tar.gz and
unzipped it into [instantRails_path]/ruby folder. And I still get that
error.

Do I need to configure/download/install something mode?

TIA

Daniel.


#2

Dan,

Did the last answer to this question on ruby-talk work for you? If so,
then there’s no need to anyone to respond here. If not, then hopefully
someone here will have an answer for you.

Curt


#3

I’m afraid not, I haven’t used it myself. Perhaps the author of the
package can help,

Curt


#4

No problem, Curt! I’ll try to fix it myself… or workaround it :slight_smile:

Thanks for your support :wink:

Dan.


#5

Hi Curt!

There is something strange in my configuration… I swear that I’ve
install ruby-gd but i cannot find gd.rb nowhere… any hints?

TIA.

Dan.


#6

Hi Jeff!

Thanks for your reply.

I have some doubts regarding GD library installation on my machine…
Should I install GD library (1.8 of course) from www.boutell.com or the
ruby-gd wrapper is enough? I believe it is not :slight_smile:

Anyway, I need a second opinion :stuck_out_tongue:

TIA

Dan.


#7

Dan Apostol wrote:

No problem, Curt! I’ll try to fix it myself… or workaround it :slight_smile:

Thanks for your support :wink:

Dan.

I’ve experienced this exact same problem. Auth_generator was designed
with an earlier version of the GD library–I think it was made for
version 1.8, and version 2.something is the latest. Unfortunately it’s
not a seamless transition.

I’d be curious to find out if you learn the solution to this.

Jeff C.man